Tryton - Issues

 

Issue8236

Title Description grouped in statement report
Priority bug Status resolved
Superseder Nosy List ced, nelghani, reviewbot, roundup-bot
Type behavior Components account_statement
Assigned To ced Keywords review
Reviews 263351002
View: 263351002

Created on 2019-03-28.09:59:11 by nelghani, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
Statement.odt nelghani, 2019-03-28.09:59:35 application/vnd.oasis.opendocument.text
Statement_test2.odt nelghani, 2019-03-28.11:59:20 application/vnd.oasis.opendocument.text
statement_lines.jpg nelghani, 2019-03-28.10:01:50 image/jpeg
Messages
New changeset 954693b2b9a8 by Cédric Krier in branch '5.0':
Use lines attribute from grouped Line class
https://hg.tryton.org/modules/account_statement/rev/954693b2b9a8

New changeset de5d2d3dc958 by Cédric Krier in branch '4.8':
Use lines attribute from grouped Line class
https://hg.tryton.org/modules/account_statement/rev/de5d2d3dc958

New changeset f72b31b54e5f by Cédric Krier in branch '4.6':
Use lines attribute from grouped Line class
https://hg.tryton.org/modules/account_statement/rev/f72b31b54e5f
New changeset bfa17c1f19cc by Cédric Krier in branch 'default':
Use lines attribute from grouped Line class
https://hg.tryton.org/tryton-env/rev/bfa17c1f19cc
New changeset 7a8492ac21b7 by Cédric Krier in branch 'default':
Use lines attribute from grouped Line class
https://hg.tryton.org/modules/account_statement/rev/7a8492ac21b7
msg49053 (view) Author: [hidden] (nelghani) Date: 2019-04-15.17:21:51
I applied the patch and generated the report
The issue I encountred is fixed

Thanks
review263351002 updated at https://codereview.tryton.org/263351002/#ps287321002
msg49025 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-04-15.00:11:50
It should be fixed by review263351002.
msg48076 (view) Author: [hidden] (nelghani) Date: 2019-03-28.11:59:20
I updated the statement lines to have different number date and party
The generated report is still wrong

See attached report (Statement_test2.odt)

Thanks for your help
msg48073 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-03-28.10:23:50
This is the expected behavior. The lines are grouped by number, date and party so their descriptions are merged.
msg48070 (view) Author: [hidden] (nelghani) Date: 2019-03-28.09:59:10
I created 3 statement lines in demo5.0.tryton.org
When I generate the report, the output file shows the lines in a wrong way. The description records are merged !

See attached image and generated .fodt statement
History
Date User Action Args
2019-05-04 11:13:44roundup-botsetmessages: + msg49599
2019-04-23 12:03:37roundup-botsetmessages: + msg49167
2019-04-23 12:03:30roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg49166
2019-04-15 17:21:52nelghanisetmessages: + msg49053
2019-04-15 00:39:31reviewbotsetnosy: + reviewbot
messages: + msg49027
2019-04-15 00:11:53cedsetstatus: chatting -> testing
reviews: 263351002
messages: + msg49025
keyword: + review
assignedto: ced
2019-03-28 13:11:57cedsettitle: Issue in statement report tryton 5.0 -> Description grouped in statement report
2019-03-28 11:59:20nelghanisetstatus: invalid -> chatting
files: + Statement_test2.odt
messages: + msg48076
2019-03-28 10:23:50cedsetstatus: unread -> invalid
nosy: + ced
messages: + msg48073
2019-03-28 10:01:50nelghanisetfiles: + statement_lines.jpg

Showing 10 items. Show all history (warning: this could be VERY long)